uvcvideo 1-1.4:1.0: Entity type for entity Extension 4 was not initialized!

Bug #1626731 reported by Cristian Aravena Romero on 2016-09-22
52
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
Undecided
Unassigned
ubuntu-drivers-common (Ubuntu)
Undecided
Unassigned

Bug Description

[ 6.453850] uvcvideo 1-1.4:1.0: Entity type for entity Extension 4 was not initialized!
[ 6.453858] uvcvideo 1-1.4:1.0: Entity type for entity Processing 2 was not initialized!
[ 6.453862] uvcvideo 1-1.4:1.0: Entity type for entity Camera 1 was not initialized!

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: linux-image-4.8.0-14-generic 4.8.0-14.15
ProcVersionSignature: Ubuntu 4.8.0-14.15-generic 4.8.0-rc7
Uname: Linux 4.8.0-14-generic x86_64
ApportVersion: 2.20.3-0ubuntu7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: caravena 2032 F...m pulseaudio
 /dev/snd/controlC0: caravena 2032 F.... pulseaudio
CurrentDesktop: GNOME
Date: Thu Sep 22 17:20:51 2016
HibernationDevice: RESUME=UUID=360bd2d2-4f44-4311-86d6-4781ac81ee87
InstallationDate: Installed on 2015-07-26 (424 days ago)
InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64 (20150723)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.8.0-14-generic root=UUID=4f4435ca-b877-47a5-9065-3dd624c0514e ro rootflags=subvol=@ quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.8.0-14-generic N/A
 linux-backports-modules-4.8.0-14-generic N/A
 linux-firmware 1.161
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/15/2013
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: P14AAJ
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: SAMSUNG_NP1234567890
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: FAB1
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvrP14AAJ:bd04/15/2013:svnSAMSUNGELECTRONICSCO.,LTD.:pn530U3C/530U4C:pvr0.1:rvnSAMSUNGELECTRONICSCO.,LTD.:rnSAMSUNG_NP1234567890:rvrFAB1:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvr0.1:
dmi.product.name: 530U3C/530U4C
dmi.product.version: 0.1
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

Created attachment 201651
dmesg_4.5.0-040500rc1-generic.txt

[ 6.362067] uvcvideo: Found UVC 1.00 device WebCam SC-13HDL12131N (2232:1035)
[ 6.388720] uvcvideo 1-1.4:1.0: Entity type for entity Extension 4 was not initialized!
[ 6.388729] uvcvideo 1-1.4:1.0: Entity type for entity Processing 2 was not initialized!
[ 6.388734] uvcvideo 1-1.4:1.0: Entity type for entity Camera 1 was not initialized!

Created attachment 201671
lspci_-vvnn.txt

This is about USB Video Class, not Intel graphics. Not sure where to reassign really, setting Video(Other) and adding some Cc's.

Created attachment 202651
dmesg_4.5.0-040500rc2-generic.txt

After upgrading from kernel 4.4.5 to 4.5.0 the following kernel messages appeared on my system too.

[ 2.517311] usbcore: registered new interface driver snd-usb-audio
[ 2.517340] uvcvideo: Found UVC 1.00 device <unnamed> (046d:0807)
[ 2.532997] uvcvideo 3-10:1.0: Entity type for entity Extension 4 was not initialized!
[ 2.532999] uvcvideo 3-10:1.0: Entity type for entity Extension 8 was not initialized!
[ 2.533000] uvcvideo 3-10:1.0: Entity type for entity Extension 10 was not initialized!
[ 2.533002] uvcvideo 3-10:1.0: Entity type for entity Extension 12 was not initialized!
[ 2.533003] uvcvideo 3-10:1.0: Entity type for entity Extension 11 was not initialized!
[ 2.533004] uvcvideo 3-10:1.0: Entity type for entity Processing 2 was not initialized!
[ 2.533005] uvcvideo 3-10:1.0: Entity type for entity Extension 13 was not initialized!
[ 2.533006] uvcvideo 3-10:1.0: Entity type for entity Camera 1 was not initialized!
[ 2.533007] uvcvideo 3-10:1.0: Entity type for entity Extension 14 was not initialized!
[ 2.533088] input: UVC Camera (046d:0807) as /devices/pci0000:00/0000:00:14.0/usb3/3-10/3-10:1.0/input/input20
[ 2.533156] usbcore: registered new interface driver uvcvideo

The webcam does work in an application i have tested.

Created attachment 212791
Complete kernel log

Created attachment 212801
Information about the USB webcam causing the warning

I have this issue too! The webcam affected is the integrated one in my laptop, a Dell XPS 13 (9343).
If you need any other information, just ask

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

This is a known issue, caused by

commit b50bde4e476dede4a28e9c8fdcd134da2f34ef2e
Author: Mauro Carvalho Chehab <email address hidden>
Date: Thu May 7 22:12:38 2015 -0300

    [media] v4l2-subdev: use MEDIA_ENT_T_UNKNOWN for new subdevs

    Instead of abusing MEDIA_ENT_T_V4L2_SUBDEV, initialize
    new subdev entities as MEDIA_ENT_T_UNKNOWN.

    Acked-by: Hans Verkuil <email address hidden>
    Signed-off-by: Mauro Carvalho Chehab <email address hidden>

that added a warning to media controller core code without updating drivers to comply with the new requirements.

The warning is harmless, drivers will eventually be updated.

aljosa (aljosa-p) wrote :

Lenovo Y700-17ISK notebook (Intel Core i7-6700HQ/RAM 16GB/SSD 512GB/Nvidia GTX960M 4GB)
BIOS CDCN53WW 09/19/2016
Ubuntu 16.04.1
Kernel 4.8.14

[3.591312] uvcvideo: Found UVC 1.00 device Lenovo EasyCamera (5986:0672)
[3.594145] uvcvideo 1-6:1.0: Entity type for entity Realtek Extended Controls Unit was not initialized!
[3.594147] uvcvideo 1-6:1.0: Entity type for entity Extension 4 was not initialized!
[3.594148] uvcvideo 1-6:1.0: Entity type for entity Processing 2 was not initialized!
[3.594149] uvcvideo 1-6:1.0: Entity type for entity Camera 1 was not initialized!
[3.594214] input: Lenovo EasyCamera as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.0/input/input11

Created attachment 247431
dmesg_4.9.0-040900-generic

[ 6.730682] uvcvideo 1-1.4:1.0: Entity type for entity Extension 4 was not initialized!
[ 6.730688] uvcvideo 1-1.4:1.0: Entity type for entity Processing 2 was not initialized!
[ 6.730693] uvcvideo 1-1.4:1.0: Entity type for entity Camera 1 was not initialized!

Hi Laurant,

1,5 year later this warning still exists in kernel 4.11.

[ 2.398176] uvcvideo: Found UVC 1.00 device USB2.0 HD UVC WebCam (04f2:b3fd)
[ 2.399184] uvcvideo 3-7:1.0: Entity type for entity Extension 4 was not initialized!
[ 2.399185] uvcvideo 3-7:1.0: Entity type for entity Processing 2 was not initialized!
[ 2.399186] uvcvideo 3-7:1.0: Entity type for entity Camera 1 was not initialized!

Do you have any guess when this will be fixed?
Can I do anything to help (I am a developer, but not a kernel/driver developer)?

This is causing a regression with the Logitech Quickcam Sphere. In particular, the the pan/tilt controls do not work anymore - in fact, they are completely gone from "v4l2-ctl -L".

Issue replicated on Raspbian Stretch 4.9.58:

```
[ 0.000000] Booting Linux on physical CPU 0x0
[ 0.000000] Linux version 4.9.58+ (dc4@dc4-XPS13-9333) (gcc version 4.9.3 (crosstool-NG crosstool-ng-1.22.0-88-g8460611) ) #1046 Tue Oct 24 16:57:45 BST 2017
[ 0.000000] CPU: ARMv6-compatible processor [410fb767] revision 7 (ARMv7), cr=00c5387d
...
[ 1786.101640] usb 1-1.2.4: new full-speed USB device number 5 using dwc_otg
[ 1786.250929] usb 1-1.2.4: New USB device found, idVendor=1e4e, idProduct=0100
[ 1786.250947] usb 1-1.2.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1786.250955] usb 1-1.2.4: Product: PureThermal 1
[ 1786.250962] usb 1-1.2.4: Manufacturer: GroupGets
[ 1786.250969] usb 1-1.2.4: SerialNumber: v0.99.2
[ 1786.400170] media: Linux media interface: v0.10
[ 1786.438621] Linux video capture interface: v2.00
[ 1786.494307] uvcvideo: Found UVC 1.00 device PureThermal 1 (1e4e:0100)
[ 1786.501315] uvcvideo 1-1.2.4:1.0: Entity type for entity Extension 3 was not initialized!
[ 1786.501352] uvcvideo 1-1.2.4:1.0: Entity type for entity Processing 2 was not initialized!
[ 1786.501366] uvcvideo 1-1.2.4:1.0: Entity type for entity Extension 4 was not initialized!
[ 1786.501379] uvcvideo 1-1.2.4:1.0: Entity type for entity Extension 5 was not initialized!
[ 1786.501391] uvcvideo 1-1.2.4:1.0: Entity type for entity Extension 6 was not initialized!
[ 1786.501402] uvcvideo 1-1.2.4:1.0: Entity type for entity Extension 7 was not initialized!
[ 1786.501413] uvcvideo 1-1.2.4:1.0: Entity type for entity Camera 1 was not initialized!
[ 1786.513107] input: PureThermal 1 as /devices/platform/soc/20980000.usb/usb1/1-1/1-1.2/1-1.2.4/1-1.2.4:1.0/input/input0
```

Same problem with HP TrueVision FHD RGB-IR on HP Spectre x360 13-w013dx

Just as a comment, at least in my case this was fixed by the "uvcdynctrl" package which installs suitable udev rules to initialize the missing controls from userspace.

Florian Echtler (floe) wrote :

Just as a comment, at least in my case this was fixed by the "uvcdynctrl" package which installs suitable udev rules to initialize the missing controls from userspace.

Thanks Florian for the possible workaround. Unfortunately I cannot find a package within Arch Linux providing this uvc userspace tool.

I do notice however that the warnings in Kernel 4.15.1 are still not fixed.
Is this a kernel space (driver) issue or a user space issue ?

arthur@z97:~$ dmesg | grep uvc
[ 3.541859] uvcvideo: Found UVC 1.00 device <unnamed> (046d:0807)
[ 3.557496] uvcvideo 3-5:1.0: Entity type for entity Extension 4 was not initialized!
[ 3.557498] uvcvideo 3-5:1.0: Entity type for entity Extension 8 was not initialized!
[ 3.557499] uvcvideo 3-5:1.0: Entity type for entity Extension 10 was not initialized!
[ 3.557500] uvcvideo 3-5:1.0: Entity type for entity Extension 12 was not initialized!
[ 3.557501] uvcvideo 3-5:1.0: Entity type for entity Extension 11 was not initialized!
[ 3.557503] uvcvideo 3-5:1.0: Entity type for entity Processing 2 was not initialized!
[ 3.557504] uvcvideo 3-5:1.0: Entity type for entity Extension 13 was not initialized!
[ 3.557505] uvcvideo 3-5:1.0: Entity type for entity Camera 1 was not initialized!
[ 3.557506] uvcvideo 3-5:1.0: Entity type for entity Extension 14 was not initialized!
[ 3.557666] usbcore: registered new interface driver uvcvideo

Created attachment 274067
dmesg_4.15.1-041501-generic.txt

Kai-Heng Feng (kaihengfeng) wrote :

So I guess it's a good idea to install the package when the machine has a webcam.

I think what happened here is that responsibility for initializing the extensions has been shifted from the kernel to userspace. I'd suggest to try and build uvcdynctrl from source and see if that helps...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-drivers-common (Ubuntu):
status: New → Confirmed
Si Dedman (si-dedman) wrote :

@Florian: did you do anything other than "sudo apt install uvcdynctrl"? I've just tried this, rebooted, and no change. Thanks for any additional intel.

Happening to me as well on HP Pavilion 13 x360 s128nr:

[ 10.883555] uvcvideo: Found UVC 1.00 device HP Truevision HD (04f2:b50d)
[ 10.909532] uvcvideo 1-4:1.0: Entity type for entity Extension 4 was not initialized!
[ 10.909535] uvcvideo 1-4:1.0: Entity type for entity Processing 2 was not initialized!
[ 10.909537] uvcvideo 1-4:1.0: Entity type for entity Camera 1 was not initialized!
[ 10.909739] usbcore: registered new interface driver uvcvideo

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
Tony Stark (tstark69) wrote :

For anyone who is still having this problem, hopefully this will help you get your webcam working. I was able to get my webcam working and I am using a Dell Precision 7510 Laptop running Ubuntu 18.04.3.

1.) I issued "$dmesg | grep -i camera" in a terminal window and received "uvcvideo 1-11:1.0: Entity type for entity Camera 1 was not initialized!" which landed me here at this website (FYI I am still receiving that message and my camera works... as laurent.pinchart+bugzilla-kernel pointed out already it is a harmless warning).

2) I did a search for "ubuntu uvcvideo" in google and landed on "https://help.ubuntu.com/community/UVC" which then pointed me to "https://www.berlios.de/software/linux-uvc/#download" which then pointed me to "http://www.ideasonboard.org/uvc/".

3) From "http://www.ideasonboard.org/uvc/", if you scroll down to the bottom of it you will see a Downlaod section. Navigate to the "https://www.linuxtv.org/wiki/index.php/How_to_Obtain" webpage and follow the "Basic" User's Approach instructions.

4) You may be asked to install pre-requisites during the build process. I had to issue the following command "$sudo apt install libproc-processtable-perl".

5) Once build is complete, run "$sudo make install".

6) I installed uvcdynctrl as floe suggested. I don't know if this helped or not sorry...

7) I then found and example file to test if the camera was working from "https://linuxtv.org/downloads/v4l-dvb-apis/uapi/v4l/v4l2grab.c.html". I saved this file and tried to compile it "$gcc -o v4l2grab v4l2grab.c" and received an error that it couldn't find the libv4l2.h header file. So i searched for it using $sudo find / -name "libv4l2.h" and didn't find it. This led me to believe that I didn't have the v4l2 development library installed so I installed it $sudo apt install libv4l-dev.

8) I searched again and found it! I then set C include environment path variable to point to the directory containing the header file $export C_INCLUDE_PATH=/usr/include/ and changed #include "../libv4l/include/libv4l2.h" to just #include "libv4l2.h"

9) Tried to recompile and got a linking error, so I issued $gcc -o v4l2grab v4l2grab.c -lv4l1 -lv4l2 and waula, it compiled. Changed its permssions to be executable $chmod +755 v4l2grab (using octal format where 7 in binary is 111 corresponding to rwx for owner and 5 or 110 rw- for group and other) and ran it ./v4l2grab where then I saw the .ppm files in the directory where the executable was ran from, but this was not good enough I want live feed.

10) I then installed v4l-utils and ran $v4l2-ctl -d /dev/video0 --list-formats-ext. This gave me the parameters that are compatible with my webcam for video capture (width=1280, height=720, format=MJPG, and device index=0).

11) As a final death blow I ran the following

v4l2-ctl -V --set-fmt-video=width=1280,height=720,pixelformat=MJPG --stream-mmap --stream-count=-1 --stream-to=test.jpg -d /dev/video0

but only got a single image. I think you need to incude OpenCV. Anyways, I hope this helps you atleast get images off of the webcam.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.